(function() {
  document.addEventListener('DOMContentLoaded', function() {
    // disable approval while WIP
    const approve_button = document.querySelector('button[value="approve"]');
    if (approve_button) {
      const issue_title = document.querySelector('#issue-title').textContent;
      if (issue_title.startsWith('WIP:')) {
        approve_button.disabled = true;
        approve_button.textContent = approve_button.textContent + " (still WIP)";
      }
    }

    // hide consecutive pushes
    const pull_comments = document.querySelectorAll('.pull .comment-list .timeline-item')
    var previous_forced_push = null;
    for (var i=0; i<pull_comments.length; i++) {
      var is_this_forced_push = (pull_comments[i].textContent.search('a forcé') != -1 ||
                                 pull_comments[i].textContent.search('a soumit de force') != -1 ||
                                 pull_comments[i].textContent.search('force-pushed') != -1)
      if (is_this_forced_push) {
        if (previous_forced_push) {
          // hide previous
          previous_forced_push.style.display = 'none'
        }
        previous_forced_push = pull_comments[i]
      } else {
        previous_forced_push = null
      }
    }

  });
}());
